from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSpreadsheetView(XInterface, Protocol):
    def getActiveSheet(self) -> XSpreadsheet: ...
    def setActiveSheet(self, xActiveSheet: XSpreadsheet) -> None: ...
